# Type Alias CreateAppData

CreateAppData: {
requestBody: {
deployment_message?: string;
draft_only?: boolean;
path: string;
policy: Policy;
summary: string;
value: unknown;
};
workspace: string;
}

#### Type declaration

- ##### requestBody: {
  deployment_message?: string;
  draft_only?: boolean;
  path: string;
  policy: Policy;
  summary: string;
  value: unknown;
  }

  new app

  - ##### `Optional` deployment_message?: string

  - ##### `Optional` draft_only?: boolean

  - ##### path: string

  - ##### policy: Policy

  - ##### summary: string

  - ##### value: unknown

- ##### workspace: string

- Defined in src/types.gen.ts:2675